Oracle Linux 5 : dstat (ELSA-2009-1619)

Medium Nessus Plugin ID 67964


The remote Oracle Linux host is missing a security update.


From Red Hat Security Advisory 2009:1619 :

An updated dstat package that fixes one security issue is now available for Red Hat Enterprise Linux 5.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

Dstat is a versatile replacement for the vmstat, iostat, and netstat tools. Dstat can be used for performance tuning tests, benchmarks, and troubleshooting.

Robert Buchholz of the Gentoo Security Team reported a flaw in the Python module search path used in dstat. If a local attacker could trick a local user into running dstat from a directory containing a Python script that is named like an importable module, they could execute arbitrary code with the privileges of the user running dstat.

All dstat users should upgrade to this updated package, which contains a backported patch to correct this issue.


Update the affected dstat package.

See Also

Plugin Details

Severity: Medium

ID: 67964

File Name: oraclelinux_ELSA-2009-1619.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.4

Temporal Score: 3.8

Vector: CVSS2#AV:L/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:dstat, cpe:/o:oracle:linux:5

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/11/30

Reference Information

CVE: CVE-2009-3894

BID: 37131

RHSA: 2009:1619